#ifndef __JABYENGINE_MEMORY_IO_HPP__
#define __JABYENGINE_MEMORY_IO_HPP__
#include "ioport.hpp"

namespace JabyEngine {
    namespace Memory_IO {
        __new_declare_io_value(COM_DELAY, uint32_t) {
            static constexpr COM_DELAY create() {
                return COM_DELAY{0x1325};
            }
        };

        __new_declare_io_value(CD_DELAY, uint32_t) {
            static constexpr CD_DELAY create() {
                return CD_DELAY{0x20943};
            }
        };

        __new_declare_io_port(COM_DELAY, 0x1F801020);
        __new_declare_io_port(CD_DELAY,  0x1F801018);
    }
}

#endif //!__JABYENGINE_MEMORY_IO_HPP__